<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:paddingLeft="@dimen/d_10dp"
    android:paddingTop="@dimen/d_6dp"
    android:orientation="vertical" >

    <View 
        android:id="@+id/flagFocusView"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:focusable="true"
        android:clickable="true"/>
    
    <ImageView
        android:id="@+id/firstAd"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:focusable="true"
        android:orientation="vertical"
        android:visibility="gone" />

    <com.wasu.widget.FocusLinearLayout
        android:id="@+id/firstRecommend"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        android:padding="@dimen/d_10dp"
        android:layout_marginBottom="@dimen/d_12dp"
        android:visibility="gone" />

    <ImageView
        android:id="@+id/secondAd"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:focusable="true"
        android:orientation="vertical"
        android:visibility="gone" />

    <com.wasu.widget.FocusLinearLayout
        android:id="@+id/secondRecommend"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        android:padding="@dimen/d_10dp"
        android:layout_marginBottom="@dimen/d_8dp"
        android:visibility="gone" />

</LinearLayout>